/**
 * App component script
 */
import { Component, ViewChild, AfterViewInit } from '@angular/core';
import { BryntumTaskBoardComponent, BryntumProjectModelComponent } from '@bryntum/taskboard-angular';
import { TaskBoard } from '@bryntum/taskboard';

import { taskBoardConfig } from './app.config';
import { projectData } from './app.data';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.scss']
})

export class AppComponent implements AfterViewInit {

    taskBoardConfig = taskBoardConfig;
    projectData = projectData;

    // Bryntum TaskBoard Angular wrapper reference
    @ViewChild(BryntumTaskBoardComponent, { static: false }) taskboardComponent: BryntumTaskBoardComponent;
    @ViewChild(BryntumProjectModelComponent, { static: true }) project: BryntumProjectModelComponent;

    private taskboard: TaskBoard;

    ngAfterViewInit(): void {
        this.taskboard = this.taskboardComponent.instance;
        console.log(projectData.groupData)
        projectData.groupData.forEach((item) => {
            this.taskboard.swimlanes.add({ id: item.groupName, text: item.groupName });
        })
        this.taskboard.swimlanes.addSorter("text")
        // @ts-ignore
        this.taskboard.refresh()
    }
}
